Subject: Bug#503: [X2Go-Dev] Bug#503: Bug#503: Can't start X Server, please check your installation

From: Michael DePaulo <[email-masked]>
Date: Tue, 27 May 2014 09:43:04 -0400

Hi, I am the Windows maintainer for X2Go Client.

1st of all, I am sorry you ran into this bug. It is on my to-fix list.

2nd, this is a duplicate of bug 109. I am still learning the debian
bug tracking system, I will mark this as a duplicate when I get home
from work.

On Tue, May 27, 2014 at 9:12 AM, Stefan Baur
<[email-masked]> wrote:
> Am 27.05.2014 14:34, schrieb postmaster:
>
>> so i try to desinstall and reinstall but, OMG, X2GO REMEMBER THE OLD
>> PARAMETERS.
>> (the baby seal with My session / [email-masked] / gnome / 800x600 /
>> enabled)
>
> That's not OMG, that's desired behavior.  Just imagine what would happen
> if uninstalling Microsoft Office would mean all your Word and Excel
> documents would get deleted as well.  Same here.  Uninstall purges the
> program files, but not the data.
>

As stefan mentioned, the settings are stored per-user. This is why we
do not delete them.

Deleting settings vs deleting session profiles may be another discussion.

>> so the desinstallation is not clean !
>
> To purge the data from the particular user profile, you either have to
> remove the registry keys under HKEY_CURRENT_USER\Software\Obviously
> Nice\x2goclient (in case of a standard x2goclient Windows installation),
> or delete the ".x2goclient" folder from the user's home directory (if
> you were using x2goclient in portable mode).
> This is something you have to do *per user*, so if you logged in as
> Administrator to (un)install x2goclient, you need to log off, and log
> back on again as the user you were running x2goclient under, *then* run
> regedit *as the user* and remove the above-specified tree.

As Stefan mentioned, you have to do this per user.

To avoid deleting your session profiles, just follow these per-user
instructions instead to fix this specific bug/setting. They assume you
are not in portable mode. They are mentioned in bug 109 now.

1. Open regedit (you do not need admin rights.)
2. Browse to the registry key HKEY_CURRENT_USER\Software\Obviously
Nice\x2goclient\settings
3.Then set "useintx" to "true"

> [...]
>
>> so i return to 3.99.2.2
>> goodbye 4.X
>> :-/
>
> Also, you were using an outdated 4.x release.  Please try 4.0.2.0
> instead of 4.0.1.3.
>
> -Stefan

The bug is still present in 4.0.2.0. However, we still advise
upgrading to 4.0.2.0, largely because of the vulnerabilities in VcXsrv
which have been patched.
http://wiki.x2go.org/doku.php/doc:release-notes-mswin:x2goclient-4.0.2.0

-Mike#2